Subject: Re: [Mipshop] FMIPv6 and PrRtAdv

From: SUBBA REDDYKOTA <[email-masked]>
Date: Thu, 25 May 2006 00:41:52 +0000 (GMT)

Hi,
>I have a question about Proxy Router Advertisement in FMIPv6
>(draft-ietf-mipshop-fmipv6-rev-00.txt).

>Section 4 - Page 10-11:
> 3. If the new access point is known and the PAR has information
> about it, then PAR MUST respond indicating that the new access
> point is known and supply the [AP-ID, AR-Info] tuple. If the new
> access point is known, but does not support fast handover, the
> PAR MUST indicate this with Code 3 (See Section 6.1.2).

>Section 5.1 - Page 13-14:
> Even if a MN's current access router is capable of fast handover, the
> new access router to which the MN attaches may be incapable of fast
> handover. This is indicated to the MN during ``runtime'', through
> the PrRtAdv message with a Code value of 3 (see Section 6.1.2).

>Section 6.1.2 - Page 21:
> A Proxy Router Advertisement with Code 3 means that new router
> information is present only for a subset of access points requested.
> The Option-Code field values (defined above including a value of 1)
> distinguish different outcomes for individual access points.

>I think that the Code value to indicate that NAR is incapable of fast
>handover is not 3 but 2, with the Option-Code field in the New Access
>Point LLA option set to 7 (Section 6.1.2 - Page 21). Am I right ?

I think, code value can be either 2 or 3.

Consider the following case.

Assume that MN has requested for (AP-ID, AR-Info) for 2 APs.

if for one AP, PAR has (AP-ID, AR-Info) tuple (NAR supports fast handover)

and if for the other AP, NAR does not support fast handover, then the code value will be 3.

Thanks & Regards,

Subba Reddy

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Rajeev Koodli <[email-masked]>
Date: Thu, 25 May 2006 10:24:38 -0700

Nicolas and Subba,

thanks for bringing this up.

It is the Option-Code value of 7 in New AP LLA option that
specifies whether the NAR supports fast handover or not.
Both Code values 2 and 3 could be used as the specification says.
As Subba points out, the same NAR may support fast handover for
one AP but not for another. This may happen in environments where
the infrstructure is shared among multiple providers.

Regards,

-Rajeev

SUBBA REDDYKOTA wrote:
>>      access point is known, but does not support fast handover, *the
> *>*     PAR MUST indicate this with Code 3* (See Section 6.1.2).
> 
>> handover.  This is indicated to the MN during ``runtime'', *through
> *>*  the PrRtAdv message with a Code value of 3* (see Section 6.1.2).
> 
>>Section 6.1.2 - Page 21:
> ------------------------------------------------------------------------
>